<?php
$pname = 'Мой профиль';
$pkey = 'профиль';
$pdesc = 'На данной странице Вы можете изменить информацию своего аккаунта';
$prevurl_1 = 'cabinet';
$prevname_1 = 'Кабинет';
include('inc/top.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
$usri = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT nu,em,tm FROM t_users WHERE uid = '$u_id'"));
?>
<!-- Контент -->
<div class="gamehall_wrapper">
				<div class="index_gamehall_wrapper">
				<div class="content">
		<div class="profile_wrapper">
	<div class="profile_head">
		<div class="title_h1">Личный кабинет</div>
		<a class="button big orange setting_open" href="/refs">Реферальная программа</a>
		<br>
		<a class="button big orange setting_open" href="/exit">Выход из Аккаунта</a>
	</div>

<br>
		<div class="profile_setting_block">
	<div class="profile_setting_title">Псевдоним:</div>
	<div class="profile_setting_recorded js-fakename"> <?php echo $u_login.''; ?></div>&nbsp;&nbsp;

</div>
<br>
<div class="profile_head">
	</div><br>
		<div class="profile_setting_block">
		<div class="title_h2">Смена пароля</div>&nbsp;&nbsp;
	<div class="edit_field_click js-show-profile-form" data-name="password">
		<div class="profile_edit_form">
		</div>
	
	
	</div>
	<form action="#" method="post" id="sky-form" class="sky-form sky-form-columns">
<fieldset>
<section>
<label class="label">Старый пароль</label>
<label class="input" style="
    width: 50%;
">
<input type="password" id="old">
</label>
</section><br>
<section>
<label class="label">Новый пароль</label>
<label class="input" style="
    width: 50%;
">
<input type="password" id="newp">
</label>
</section><br>
<section>
<label class="label">Повтор пароля</label>
<label class="input">
<input type="password" id="rnewp" style="
    width: 50%;
">
</label>
</section>
</fieldset>
<input type="button" id="submit" class="btn btn-theme-bg btn-lg" value="Сменить пароль"  style="
    width: 45%;
    margin-left: 31px;
" />

</form>
</div><br>
<div class="profile_head">
	</div><br>
		<div class="profile_setting_block" id="general">
			<div class="title_h2">Платежные реквизиты пользователя:</div>
	<div class="profile_setting_recorded js-fullname">  </div>&nbsp;&nbsp;
<form action="#" method="post" id="sky-form" class="sky-form sky-form-columns">
<fieldset>
<section>
<label class="label">Номер Payeer кошелька</label>
<label class="input">
<input type="text" value="<?php echo $usri['nu']; ?>" id="n_number" style="
    width: 50%;
">
</label>
</section>
</fieldset>


<input type="button" id="submitq" class="btn btn-theme-bg btn-lg" value="Сменить реквизиты" style="
    width: 45%;
    margin-left: 31px;
" />


</form>
</div>

<br>
<div class="profile_head">
	</div><br>
<div class="profile_setting_block">
<div class="title_h2">Электронная почта:</div>
	<div class="profile_setting_recorded js-email"></div>&nbsp;&nbsp;
		<div class="profile_edit_form js-show-profile-form profile_confirm_wrapper confirm_email_wrapper" data-name="confirm_email" data-cnt="0">

		
	</div>
	<form action="#" method="post" id="sky-form" class="sky-form sky-form-columns">
<fieldset>
<section>
<label class="label">Ваш E-mail адрес</label>
<label class="input">
<input type="text" value="<?php echo $usri['em']; ?>" id="n_mail" style="
    width: 50%;
">
</label>
</section>
</fieldset>

<input type="button" id="submitm" class="btn btn-theme-bg btn-lg" value="Сменить E-mail" style="
    width: 45%;
    margin-left: 31px;
" />

</form>
	</div>







		<div class="profile_line"></div>

		<h2>Настройки оповещения E-Mail</h2>
		<div class="profile_setting_block" id="bonus">
<form action="#" method="post" id="sky-form" class="sky-form sky-form-columns">
<fieldset>
<section>
<label class="checkbox"><input type="checkbox" id="stomail"<?php if ($usri['tm'] == 1) {echo ' checked="checked"';} ?>><i></i>Если Вы хотите, чтобы система автоматически отправляла на Ваш E-mail уведомления о выигрыше, включите данную опцию</label>
</section>
</fieldset>
</form>
	<div class="profile_setting_recorded"></div>&nbsp;&nbsp;
	<div class="edit_field_click js-notification_method js-show-profile-form" data-name="bonus_form">

	</div>
</div>
	
	</div>
</div>
</div>
</div></div>
<script type='text/javascript'>
$(function() {
var btns = $('#submit');
btns.click(function(){
var old = $('#old').val();
var newp = $('#newp').val();
var rnewp = $('#rnewp').val();
$.ajax({
type: 'POST',
url: '/actions/pass.php',
data: {'old': old, 'newp': newp, 'rnewp': rnewp},
cache: false,
success: function(result){
if (result == '0') {
$.jGrowl('Текущий пароль введён неверно', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Пароль успешно изменён', { theme: 'growl-success' }); $('#old,#newp,#rnewp').val('');
}
if (result == '2') {
$.jGrowl('Новый пароль и его повтор не совпадают', { theme: 'growl-error' });
}
if (result == '3') {
$.jGrowl('Новый пароль совпадает с текущим', { theme: 'growl-error' });
}
if (result == '4') {
$.jGrowl('Вы не авторизованы', { theme: 'growl-error' });
}
if (result == '5') {
$.jGrowl('Новый пароль меньше 3-х символов', { theme: 'growl-error' });
}
if (result == '6') {
$.jGrowl('Ошибка', { theme: 'growl-error' });
}
if (result == '7') {
$.jGrowl('Не заполнены все необходимые поля', { theme: 'growl-error' });
}
}
});
});
});
$(function() {
var btns2 = $('#submitq');
btns2.click(function(){
var nu = $('#n_number').val();
$.ajax({
type: 'POST',
url: '/actions/topay.php',
data: {'nu': nu},
cache: false,
success: function(result){
if (result == '1') {
$.jGrowl('Успешно', { theme: 'growl-success' });
}
if (result == '2') {
$.jGrowl('Вы не авторизованы', { theme: 'growl-error' });
}
if (result == '3') {
$.jGrowl('Ошибка', { theme: 'growl-error' });
}
if (result == '4') {
$.jGrowl('Не введён номер кошелька', { theme: 'growl-error' });
}
}
});
});
});
$(function() {
var btns3 = $('#submitm');
btns3.click(function(){
var mail = $('#n_mail').val();
$.ajax({
type: 'POST',
url: '/actions/mail.php',
data: {'mail': mail},
cache: false,
success: function(result){
if (result == '0') {
$.jGrowl('Некорректный E-mail адрес', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('E-mail успешно изменён', { theme: 'growl-success' });
}
if (result == '2') {
$.jGrowl('Вы не авторизованы', { theme: 'growl-error' });
}
if (result == '3') {
$.jGrowl('Ошибка', { theme: 'growl-error' });
}
if (result == '4') {
$.jGrowl('Поле не заполнено', { theme: 'growl-error' });
}
if (result == '5') {
$.jGrowl('Вы не изменили E-mail', { theme: 'growl-error' });
}
}
});
});
});
$(function() {
var btns4 = $('#stomail');
btns4.click(function(){
var stomail = btns4.prop('checked');
$.ajax({
type: 'POST',
url: '/actions/stomail.php',
data: {'stomail': stomail},
cache: false,
success: function(result){
if (result == '0') {
$.jGrowl('Уведомления отключены', { theme: 'growl-success' });
}
if (result == '1') {
$.jGrowl('Уведомления включены', { theme: 'growl-success' });
}
if (result == '2') {
$.jGrowl('Вы не авторизованы', { theme: 'growl-error' });
}
}
});
});
});
</script>

<!-- /Контент -->
<?php include('inc/bottom.php'); ?>